Subject: Re: [RFC PATCH 00/29] net: VRF support

From: roopa <[email-masked]>
Date: Mon, 09 Feb 2015 07:54:50 -0800

On 2/5/15, 10:10 PM, Shmulik Ladkani wrote:
> On Thu, 05 Feb 2015 15:12:57 -0800 roopa <[email-masked]> wrote:
>> We have been playing with ip rules to implement vrfs. And the blocker
>> today is that we cannot bind a socket to a vrf (routing tables in this
>> case).
> Hi Roopa,
>
> One option would be using SO_MARK sockopt on that socket, and have an ip
> rule which matches this mark to point to your table.
> I don't know your exact use-cases, but you can play around with that
> idea.
sorry for getting back late on this,
  yes, SO_MARK and 'ip rule fwmark'  is an option to bind tx from a socket
to a table. But, There are more things that will be needed on the rx side.
and at this point we are not considering netfilter marking of the 
ingress packets so
haven't been following this option

Thanks.